<script setup lang="ts">
import { useRoute, useRouter } from 'vue-router'
import { ref, onMounted } from 'vue'

const router = useRouter()
const route = useRoute()
</script>

<template>
  <div class="floating-button">
    <v-btn
      color="primary"
      width="60"
      height="60"
      rounded
      class="list-item-hover"
      @click="console.log()"
      :class="{ active: route.name === 'home' }"
      :to="{ path: '/' }"
    >
      <v-icon size="25">mdi-arrow-right</v-icon>
      <div style="font-size: 10px">Exit</div>
    </v-btn>
  </div>
</template>

<style scoped>
.floating-button {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 1000;
}

.list-item-hover:hover {
  transform: scale(1.05); /* Increase size by 5% on hover */
  box-shadow:
    0 4px 6px rgba(0, 0, 0, 0.1),
    0 1px 3px rgba(0, 0, 0, 0.08); /* Add a subtle box shadow */
}
</style>
